/*********************************************************************
 *                
 * Copyright (C) 2002,  University of New South Wales
 *                
 * File path:     arch/mips64/asm.h
 * Description:   Assembler macros etc. 
 *                
 * @LICENSE@
 *                
 * $Id: asm.h,v 1.1 2003/07/15 23:12:56 benjl Exp $
 *                
 ********************************************************************/

#ifndef __ARCH__MIPS64__ASM_H__
#define __ARCH__MIPS64__ASM_H__

#define BEGIN_PROC(name)			\
    .global name;				\
    .align 3;					\
    .ent name;					\
name:

#define END_PROC(name)				\
    .end name

/*
 * EXPORT - export definition of symbol
 */
#define EXPORT(symbol)				\
    .globl  symbol;				\
symbol:


#endif /* __ARCH__MIPS64__ASM_H__ */
