#include <assert.h>
#include <l4.h>
#include <l4e.h>

void
__assert(const char *msg, int line, const char *file)
{
    l4e_printf( "\n\nassertion failed: %s, line %d in %s\n\n", msg, 
	    (int) line, file );

    L4_KDB_Enter("assertion failed");
}
