#include <assert.h>
#include <string.h>
#include <stdarg.h>
#include <sprintf.h>

#include "sos.h"

int stdout=-1;

#define BUF_SIZ 1024

char buf[BUF_SIZ];

int
printf(const char *fmt, ...)
{
	va_list      ap;
	int          len;
                                                                                    
	if (stdout<0) {
		stdout = open("console", FM_WRITE);
		assert(stdout>=0);
	}
	
	va_start (ap, fmt);
	len = vsnprintf (buf, 128, fmt, ap);
	va_end (ap);
  
	return write(stdout, buf, len);
}                                                   
