/****************************************************************************
 *
 *      $Id:  $
 *
 *      Description: Simple milestone 0 test.
 *
 *      Author:      Ben Leslie
 *
 ****************************************************************************/

#include <assert.h>
#include <l4.h>
#include <l4e.h>

#include "ttyout.h"

void main(void)
{
	L4_ThreadId_t myid, OSid;
	int count;
	
	/* initialise communication */
	ttyout_init(&OSid);
	
	myid = L4_Myself();
	
	printf("task:\tHello world, I'm\t0x%llx!\n", myid);
	
	count = 0;

	/* now sit in a loop IPCing a 'heart beat' every second containing an
	   incrementing counter */
	
	while (1) {
		L4_Sleep(L4_TimePeriod(1000000));
		
		count ++;
		printf("task:\tcount is\t\t%x\n", count);

	}
}
